import { Command, Interfaces } from '@oclif/core';
import { Context } from './lib/Context.js';
export type Flags<T extends typeof Command> = Interfaces.InferredFlags<T['flags'] & (typeof TransactionCommand)['baseFlags']>;
export type Args<T extends typeof Command> = Interfaces.InferredArgs<T['args']>;
export declare abstract class TransactionCommand<T extends typeof Command> extends Command {
    static baseExamples: string[];
    static baseFlags: {
        commitment: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        config: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        keypair: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        'log-level': Interfaces.OptionFlag<"info" | "debug" | "warn" | "error" | "trace", Interfaces.CustomOptions>;
        payer: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        rpc: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
    };
    static enableJsonFlag: boolean;
    protected args: Args<T>;
    context: Context;
    protected flags: Flags<T>;
    protected catch(err: {
        exitCode?: number;
    } & Error): Promise<unknown>;
    protected finally(_: Error | undefined): Promise<unknown>;
    init(): Promise<void>;
    logSuccess(message: string): void;
}
