import { Args } from '@oclif/core';
import { amountToNumber } from '@metaplex-foundation/umi';
import { TransactionCommand } from '../../TransactionCommand.js';
export default class ToolboxRent extends TransactionCommand {
    static description = 'Get rent cost for a given number of bytes';
    static examples = [
        '<%= config.bin %> <%= command.id %> <bytes>',
    ];
    static args = {
        bytes: Args.integer({ description: 'Number of bytes', required: true }),
    };
    async run() {
        const { args } = await this.parse(ToolboxRent);
        const { umi } = this.context;
        const rent = await umi.rpc.getRent(args.bytes);
        this.logSuccess(`--------------------------------
    Rent cost for ${args.bytes} bytes is ${amountToNumber(rent)} SOL
--------------------------------`);
    }
}
