import { Commitment, Signer, Umi } from '@metaplex-foundation/umi';
import { IrysUploaderOptions } from '@metaplex-foundation/umi-uploader-irys';
export type ConfigJson = {
    commitment?: Commitment;
    keypair?: string;
    payer?: string;
    rpcUrl?: string;
    storage?: {
        name: 'irys' | 'arTurbo';
        options: IrysUploaderOptions;
    };
    wallets?: {
        name: string;
        path: string;
        address: string;
    }[];
    rpcs?: {
        name: string;
        endpoint: string;
    }[];
    explorer?: string;
};
export type Context = {
    commitment: Commitment;
    payer?: Signer;
    rpcUrl: string;
    signer: Signer;
    umi: Umi;
    explorer: string;
};
export declare const DEFAULT_CONFIG: {
    commitment: Commitment;
    keypair: string;
    rpcUrl: string;
};
export declare const CONFIG_KEYS: Array<keyof ConfigJson>;
export declare const getDefaultConfigPath: (prefix: string) => string;
export declare const readConfig: (path: string) => ConfigJson;
export declare const createSignerFromPath: (path: string) => Promise<Signer>;
export declare function consolidateConfigs<T>(...configs: Partial<ConfigJson>[]): ConfigJson;
export declare const createContext: (configPath: string, overrides: ConfigJson) => Promise<Context>;
