import createAssetTx from './createTx.js';
import { fetchCollection } from '@metaplex-foundation/mpl-core';
import umiSendAndConfirmTransaction from '../../umi/sendAndConfirm.js';
const createAssetFromArgs = async (umi, options) => {
    const collection = options.collection ? await fetchCollection(umi, options.collection) : undefined;
    const transaction = await createAssetTx(umi, {
        assetSigner: options.assetSigner,
        name: options.name,
        uri: options.uri,
        collection: collection,
        plugins: options.plugins,
    });
    const res = await umiSendAndConfirmTransaction(umi, transaction.tx);
    return {
        asset: transaction.asset,
        signature: res.transaction.signature,
    };
};
export default createAssetFromArgs;
