import { create } from '@metaplex-foundation/mpl-core';
import { generateSigner, publicKey } from '@metaplex-foundation/umi';
import { mapPluginDataToArray } from '../../../prompts/pluginInquirer.js';
const createAssetTx = async (umi, options) => {
    const assetSigner = options.assetSigner || generateSigner(umi);
    const tx = create(umi, {
        asset: assetSigner,
        name: options.name,
        uri: options.uri,
        collection: options.collection,
        owner: options.owner ? publicKey(options.owner) : undefined,
        plugins: options.plugins ? mapPluginDataToArray(options.plugins) : undefined,
    });
    return {
        asset: assetSigner.publicKey,
        tx,
    };
};
export default createAssetTx;
