import fs from 'fs';
import fetchUriMetadata from './fetchJsonMetadata.js';
const getMetadata = async (umi, { asset, uri, path }) => {
    if (uri) {
        // Fetch metadata from URI
        return await fetchUriMetadata(umi, uri);
    }
    if (path) {
        // Use JSON file metadata
        return JSON.parse(fs.readFileSync(path, 'utf-8'));
    }
    if (asset) {
        return await fetchUriMetadata(umi, asset.uri);
    }
    throw new Error('No metadata source provided');
};
export default getMetadata;
