const umiConfirmTransaction = async (umi, transaction, sendOptions) => {
    if (!transaction.signature) {
        throw new Error('Transaction signature not found');
    }
    if (!transaction.blockhash) {
        throw new Error('Transaction blockhash not found');
    }
    const confirmation = await umi.rpc.confirmTransaction(transaction.signature, {
        strategy: { type: 'blockhash', ...transaction.blockhash },
        commitment: sendOptions?.commitment || 'confirmed',
    });
    return {
        confirmed: confirmation.value.err === null,
        result: confirmation,
    };
};
export default umiConfirmTransaction;
